## looktxt 1.4.1

=== Makefile ===
# Makefile to compile looktxt.
# Required: gcc
# Optional: HDF5/NeXus library. get it at 
#
# just type: make

ifeq ($(NEXUS_NAPI),)
  NEXUS_NAPI = $(shell [ -f /usr/include/napi.h ] && echo -DUSE_NEXUS -lNeXus || echo "");
endif

# simple one-shot compile
all:	
	${CC} -O2 -o looktxt -g looktxt.c $(NEXUS_NAPI)

clean: 
	rm -f *.o looktxt

install:
	install -D looktxt \
		$(DESTDIR)$(prefix)/usr/bin/looktxt

distclean: clean

test:
	./looktxt --version
	./looktxt --verbose --test examples/* 
	@echo Test OK

uninstall:
	-rm -f $(DESTDIR)$(prefix)/usr/bin/looktxt

.PHONY: all install clean distclean uninstall test

=== debian/changelog ===
looktxt (1.4.1-3) unstable; urgency=medium

  * Apply patch from Adrian Bunk which is being considered upstream to
    fix infinite loop in the build on architectures where char is
    unsigned.

 -- Neil Williams <codehelp@debian.org>  Fri, 19 Aug 2022 09:53:20 +0100

looktxt (1.4.1-2) unstable; urgency=medium

  * Source only upload

 -- Neil Williams <codehelp@debian.org>  Tue, 29 Mar 2022 12:00:08 +0100

looktxt (1.4.1-1) unstable; urgency=medium

  [ Farhi Emmanuel ]
  * New upstream version 1.4

  [ Neil Williams ]
  * Update packaging
  * Add Salsa CI
  * Add d.watch
  * Add make test support
  * Update d.copyright
  * Update d.control and set Salsa VCS urls
  * New upstream release.
  * Initial release 1.4.1. (Closes: #1008144: ITP: looktxt -- Convert
    free format text file into scientific data formats)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Mar 2022 10:36:06 +0000

=== debian/control ===
Source: looktxt
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>,
 Neil Williams <codehelp@debian.org>
Build-Depends: debhelper-compat (= 13), libnexus-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/looktxt
Vcs-Git: https://salsa.debian.org/science-team/looktxt.git
Homepage: https://gitlab.com/soleil-data-treatment/soleil-software-projects/looktxt

Package: looktxt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Convert free format text file into scientific data formats
 Search and export numerics from any text/ascii file.
 Data sets (scalar, vector, matrix) are given unique names, based on file
 content. Results can be generated for e.g. Matlab, YAML, IDL, Scilab, Octave,
 XML, HTML, and NeXus/HDF5.
 .
 This package contains the executable.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	NEXUS_NAPI="-I/usr/include/nexus -DUSE_NEXUS -lNeXus" make

override_dh_auto_test:
	NEXUS_NAPI="-I/usr/include/nexus -DUSE_NEXUS -lNeXus" make test

override_dh_installman:
	dh_installman -p looktxt debian/looktxt.1
	dh_installexamples -plooktxt examples/*

=== debian/tests/control ===
Tests: examples
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts=filenamemangle=s#.*/archive/v.*/looktxt-v(\d\S+).tar\.gz#looktxt-$1\.tar\.gz#g \
  https://gitlab.com/soleil-data-treatment/soleil-software-projects/looktxt/-/tags?sort=updated_desc .*/archive/v.*/looktxt-v(\d\S+).tar\.gz
